Skip to main content
`Ctrl`+`K`

# DMLabelCreateIndex

Create an index structure for membership determination

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelCreateIndex(DMLabel label, PetscInt pStart, PetscInt pEnd)

Not Collective

## Input Parameters

- label - The `DMLabel`

- pStart - The smallest point

- pEnd - The largest point + 1

## See Also

`DMLabel`, `DM`, `DMLabelHasPoint()`, `DMLabelComputeIndex()`, `DMLabelDestroyIndex()`, `DMLabelGetValue()`, `DMLabelSetValue()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages